NX Open C++ Reference Guide
|
Represents a @link Features::LinearDimension Features::LinearDimension@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateLinearDimensionBuilder Features::FeatureCollection::CreateLinearDimensionBuilder @endlink <br>
Default values. More...
Public Types | |
enum | OrientationOptionType { OrientationOptionTypeOrientXpress, OrientationOptionTypeVector } |
the option that controls whether the OrientXpress or whether the vector block Controls the orientation of the Linear Dimension More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::OrientXpressBuilder * | DimensionOrientation () |
Returns the OrientXpress that is employed in the ADM Linear Dimension Feature Created in NX6.0.0. | |
NXOpen::Direction * | DimensionOrientationVector () |
Returns the dimension orientation vector for the Linear Dimension Created in NX6.0.0. | |
NXOpen::SelectNXObject * | MeasurementObject () |
Returns the measurement object to which the ADM Linear Dimension is measured to Created in NX6.0.0. | |
NXOpen::Features::LinearDimensionBuilder::OrientationOptionType | OrientationOption () |
Returns the option that controls whether the OrientXpress or whether the vector block Controls the orientation of the Linear Dimension Created in NX6.0.0. | |
NXOpen::SelectNXObject * | OriginObject () |
Returns the origin object from which the ADM Linear dimension is measured from Created in NX6.0.0. | |
void | SetDimensionOrientationVector (NXOpen::Direction *dimensionOrientationVector) |
Sets the dimension orientation vector for the Linear Dimension Created in NX6.0.0. | |
void | SetFaceToMove (NXOpen::Face *face) |
The important face that is being moved through the ADM Linear Dimension Feature. | |
void | SetOrientationOption (NXOpen::Features::LinearDimensionBuilder::OrientationOptionType orientationOption) |
Sets the option that controls whether the OrientXpress or whether the vector block Controls the orientation of the Linear Dimension Created in NX6.0.0. | |
![]() | |
NXOpen::Annotations::OriginBuilder * | DimensionLocation () |
Returns the dimension location/placement controlled by the annotation origin block Created in NX6.0.0. | |
NXOpen::GeometricUtilities::FaceChangeOverflowBehavior * | FaceChangeOverflowBehavior () |
Returns the face change overflow behavior. | |
NXOpen::Features::FaceRecognitionBuilder * | FacesToMove () |
Returns the faces being moved as part of the Linear Dimension command Created in NX6.0.0. | |
NXOpen::Annotations::Dimension * | GetDimension () |
The drafting dimension which is used as UI tool for dimension display. | |
NXOpen::GeometricUtilities::SaveConstraintsBuilder * | SaveConstraints () |
Returns the SaveConstraints builder which is used by ADM Dimension Features. | |
NXOpen::Expression * | Value () |
Returns the value of the dimension Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::LinearDimension Features::LinearDimension@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateLinearDimensionBuilder Features::FeatureCollection::CreateLinearDimensionBuilder @endlink <br>
Default values.
Property | Value |
---|---|
OrientationOption |
OrientXpress |
Value.Value |
0 (millimeters part), 0 (inches part) |
Created in NX6.0.0.
NXOpen::GeometricUtilities::OrientXpressBuilder* NXOpen::Features::LinearDimensionBuilder::DimensionOrientation | ( | ) |
Returns the OrientXpress that is employed in the ADM Linear Dimension Feature
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::LinearDimensionBuilder::DimensionOrientationVector | ( | ) |
Returns the dimension orientation vector for the Linear Dimension
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::LinearDimensionBuilder::MeasurementObject | ( | ) |
Returns the measurement object to which the ADM Linear Dimension is measured to
Created in NX6.0.0.
License requirements : None
NXOpen::Features::LinearDimensionBuilder::OrientationOptionType NXOpen::Features::LinearDimensionBuilder::OrientationOption | ( | ) |
Returns the option that controls whether the OrientXpress or whether the vector block Controls the orientation of the Linear Dimension
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::LinearDimensionBuilder::OriginObject | ( | ) |
Returns the origin object from which the ADM Linear dimension is measured from
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::LinearDimensionBuilder::SetDimensionOrientationVector | ( | NXOpen::Direction * | dimensionOrientationVector | ) |
Sets the dimension orientation vector for the Linear Dimension
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
dimensionOrientationVector | dimensionorientationvector |
void NXOpen::Features::LinearDimensionBuilder::SetFaceToMove | ( | NXOpen::Face * | face | ) |
The important face that is being moved through the ADM Linear Dimension Feature.
The system will try to silently infer one. But if the user wants to provide one, then he/she needs to pass in the face through this command
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
face | face |
void NXOpen::Features::LinearDimensionBuilder::SetOrientationOption | ( | NXOpen::Features::LinearDimensionBuilder::OrientationOptionType | orientationOption | ) |
Sets the option that controls whether the OrientXpress or whether the vector block Controls the orientation of the Linear Dimension
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
orientationOption | orientationoption |